+ * New --disable-dynamic configure option for non-ELF systems.
[adns] / configure
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.12
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --disable-dynamic use static linking
16 --enable-dynamic[=elf] create and use ELF dynamic library (default)"
17
18 # Initialize some variables set by options.
19 # The variables have the same names as the options, with
20 # dashes changed to underlines.
21 build=NONE
22 cache_file=./config.cache
23 exec_prefix=NONE
24 host=NONE
25 no_create=
26 nonopt=NONE
27 no_recursion=
28 prefix=NONE
29 program_prefix=NONE
30 program_suffix=NONE
31 program_transform_name=s,x,x,
32 silent=
33 site=
34 srcdir=
35 target=NONE
36 verbose=
37 x_includes=NONE
38 x_libraries=NONE
39 bindir='${exec_prefix}/bin'
40 sbindir='${exec_prefix}/sbin'
41 libexecdir='${exec_prefix}/libexec'
42 datadir='${prefix}/share'
43 sysconfdir='${prefix}/etc'
44 sharedstatedir='${prefix}/com'
45 localstatedir='${prefix}/var'
46 libdir='${exec_prefix}/lib'
47 includedir='${prefix}/include'
48 oldincludedir='/usr/include'
49 infodir='${prefix}/info'
50 mandir='${prefix}/man'
51
52 # Initialize some other variables.
53 subdirs=
54 MFLAGS= MAKEFLAGS=
55 # Maximum number of lines to put in a shell here document.
56 ac_max_here_lines=12
57
58 ac_prev=
59 for ac_option
60 do
61
62 # If the previous option needs an argument, assign it.
63 if test -n "$ac_prev"; then
64 eval "$ac_prev=\$ac_option"
65 ac_prev=
66 continue
67 fi
68
69 case "$ac_option" in
70 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
71 *) ac_optarg= ;;
72 esac
73
74 # Accept the important Cygnus configure options, so we can diagnose typos.
75
76 case "$ac_option" in
77
78 -bindir | --bindir | --bindi | --bind | --bin | --bi)
79 ac_prev=bindir ;;
80 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
81 bindir="$ac_optarg" ;;
82
83 -build | --build | --buil | --bui | --bu)
84 ac_prev=build ;;
85 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
86 build="$ac_optarg" ;;
87
88 -cache-file | --cache-file | --cache-fil | --cache-fi \
89 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
90 ac_prev=cache_file ;;
91 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
92 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
93 cache_file="$ac_optarg" ;;
94
95 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
96 ac_prev=datadir ;;
97 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
98 | --da=*)
99 datadir="$ac_optarg" ;;
100
101 -disable-* | --disable-*)
102 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
103 # Reject names that are not valid shell variable names.
104 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
105 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
106 fi
107 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
108 eval "enable_${ac_feature}=no" ;;
109
110 -enable-* | --enable-*)
111 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
112 # Reject names that are not valid shell variable names.
113 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
114 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
115 fi
116 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
117 case "$ac_option" in
118 *=*) ;;
119 *) ac_optarg=yes ;;
120 esac
121 eval "enable_${ac_feature}='$ac_optarg'" ;;
122
123 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
124 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
125 | --exec | --exe | --ex)
126 ac_prev=exec_prefix ;;
127 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
128 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
129 | --exec=* | --exe=* | --ex=*)
130 exec_prefix="$ac_optarg" ;;
131
132 -gas | --gas | --ga | --g)
133 # Obsolete; use --with-gas.
134 with_gas=yes ;;
135
136 -help | --help | --hel | --he)
137 # Omit some internal or obsolete options to make the list less imposing.
138 # This message is too long to be a string in the A/UX 3.1 sh.
139 cat << EOF
140 Usage: configure [options] [host]
141 Options: [defaults in brackets after descriptions]
142 Configuration:
143 --cache-file=FILE cache test results in FILE
144 --help print this message
145 --no-create do not create output files
146 --quiet, --silent do not print \`checking...' messages
147 --version print the version of autoconf that created configure
148 Directory and file names:
149 --prefix=PREFIX install architecture-independent files in PREFIX
150 [$ac_default_prefix]
151 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
152 [same as prefix]
153 --bindir=DIR user executables in DIR [EPREFIX/bin]
154 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
155 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
156 --datadir=DIR read-only architecture-independent data in DIR
157 [PREFIX/share]
158 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
159 --sharedstatedir=DIR modifiable architecture-independent data in DIR
160 [PREFIX/com]
161 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
162 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
163 --includedir=DIR C header files in DIR [PREFIX/include]
164 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
165 --infodir=DIR info documentation in DIR [PREFIX/info]
166 --mandir=DIR man documentation in DIR [PREFIX/man]
167 --srcdir=DIR find the sources in DIR [configure dir or ..]
168 --program-prefix=PREFIX prepend PREFIX to installed program names
169 --program-suffix=SUFFIX append SUFFIX to installed program names
170 --program-transform-name=PROGRAM
171 run sed PROGRAM on installed program names
172 EOF
173 cat << EOF
174 Host type:
175 --build=BUILD configure for building on BUILD [BUILD=HOST]
176 --host=HOST configure for HOST [guessed]
177 --target=TARGET configure for TARGET [TARGET=HOST]
178 Features and packages:
179 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
180 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
181 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
182 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
183 --x-includes=DIR X include files are in DIR
184 --x-libraries=DIR X library files are in DIR
185 EOF
186 if test -n "$ac_help"; then
187 echo "--enable and --with options recognized:$ac_help"
188 fi
189 exit 0 ;;
190
191 -host | --host | --hos | --ho)
192 ac_prev=host ;;
193 -host=* | --host=* | --hos=* | --ho=*)
194 host="$ac_optarg" ;;
195
196 -includedir | --includedir | --includedi | --included | --include \
197 | --includ | --inclu | --incl | --inc)
198 ac_prev=includedir ;;
199 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
200 | --includ=* | --inclu=* | --incl=* | --inc=*)
201 includedir="$ac_optarg" ;;
202
203 -infodir | --infodir | --infodi | --infod | --info | --inf)
204 ac_prev=infodir ;;
205 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
206 infodir="$ac_optarg" ;;
207
208 -libdir | --libdir | --libdi | --libd)
209 ac_prev=libdir ;;
210 -libdir=* | --libdir=* | --libdi=* | --libd=*)
211 libdir="$ac_optarg" ;;
212
213 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
214 | --libexe | --libex | --libe)
215 ac_prev=libexecdir ;;
216 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
217 | --libexe=* | --libex=* | --libe=*)
218 libexecdir="$ac_optarg" ;;
219
220 -localstatedir | --localstatedir | --localstatedi | --localstated \
221 | --localstate | --localstat | --localsta | --localst \
222 | --locals | --local | --loca | --loc | --lo)
223 ac_prev=localstatedir ;;
224 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
225 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
226 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
227 localstatedir="$ac_optarg" ;;
228
229 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
230 ac_prev=mandir ;;
231 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
232 mandir="$ac_optarg" ;;
233
234 -nfp | --nfp | --nf)
235 # Obsolete; use --without-fp.
236 with_fp=no ;;
237
238 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
239 | --no-cr | --no-c)
240 no_create=yes ;;
241
242 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
243 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
244 no_recursion=yes ;;
245
246 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
247 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
248 | --oldin | --oldi | --old | --ol | --o)
249 ac_prev=oldincludedir ;;
250 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
251 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
252 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
253 oldincludedir="$ac_optarg" ;;
254
255 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
256 ac_prev=prefix ;;
257 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
258 prefix="$ac_optarg" ;;
259
260 -program-prefix | --program-prefix | --program-prefi | --program-pref \
261 | --program-pre | --program-pr | --program-p)
262 ac_prev=program_prefix ;;
263 -program-prefix=* | --program-prefix=* | --program-prefi=* \
264 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
265 program_prefix="$ac_optarg" ;;
266
267 -program-suffix | --program-suffix | --program-suffi | --program-suff \
268 | --program-suf | --program-su | --program-s)
269 ac_prev=program_suffix ;;
270 -program-suffix=* | --program-suffix=* | --program-suffi=* \
271 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
272 program_suffix="$ac_optarg" ;;
273
274 -program-transform-name | --program-transform-name \
275 | --program-transform-nam | --program-transform-na \
276 | --program-transform-n | --program-transform- \
277 | --program-transform | --program-transfor \
278 | --program-transfo | --program-transf \
279 | --program-trans | --program-tran \
280 | --progr-tra | --program-tr | --program-t)
281 ac_prev=program_transform_name ;;
282 -program-transform-name=* | --program-transform-name=* \
283 | --program-transform-nam=* | --program-transform-na=* \
284 | --program-transform-n=* | --program-transform-=* \
285 | --program-transform=* | --program-transfor=* \
286 | --program-transfo=* | --program-transf=* \
287 | --program-trans=* | --program-tran=* \
288 | --progr-tra=* | --program-tr=* | --program-t=*)
289 program_transform_name="$ac_optarg" ;;
290
291 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
292 | -silent | --silent | --silen | --sile | --sil)
293 silent=yes ;;
294
295 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
296 ac_prev=sbindir ;;
297 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
298 | --sbi=* | --sb=*)
299 sbindir="$ac_optarg" ;;
300
301 -sharedstatedir | --sharedstatedir | --sharedstatedi \
302 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
303 | --sharedst | --shareds | --shared | --share | --shar \
304 | --sha | --sh)
305 ac_prev=sharedstatedir ;;
306 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
307 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
308 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
309 | --sha=* | --sh=*)
310 sharedstatedir="$ac_optarg" ;;
311
312 -site | --site | --sit)
313 ac_prev=site ;;
314 -site=* | --site=* | --sit=*)
315 site="$ac_optarg" ;;
316
317 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
318 ac_prev=srcdir ;;
319 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
320 srcdir="$ac_optarg" ;;
321
322 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
323 | --syscon | --sysco | --sysc | --sys | --sy)
324 ac_prev=sysconfdir ;;
325 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
326 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
327 sysconfdir="$ac_optarg" ;;
328
329 -target | --target | --targe | --targ | --tar | --ta | --t)
330 ac_prev=target ;;
331 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
332 target="$ac_optarg" ;;
333
334 -v | -verbose | --verbose | --verbos | --verbo | --verb)
335 verbose=yes ;;
336
337 -version | --version | --versio | --versi | --vers)
338 echo "configure generated by autoconf version 2.12"
339 exit 0 ;;
340
341 -with-* | --with-*)
342 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
343 # Reject names that are not valid shell variable names.
344 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
345 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
346 fi
347 ac_package=`echo $ac_package| sed 's/-/_/g'`
348 case "$ac_option" in
349 *=*) ;;
350 *) ac_optarg=yes ;;
351 esac
352 eval "with_${ac_package}='$ac_optarg'" ;;
353
354 -without-* | --without-*)
355 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
356 # Reject names that are not valid shell variable names.
357 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
358 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
359 fi
360 ac_package=`echo $ac_package| sed 's/-/_/g'`
361 eval "with_${ac_package}=no" ;;
362
363 --x)
364 # Obsolete; use --with-x.
365 with_x=yes ;;
366
367 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
368 | --x-incl | --x-inc | --x-in | --x-i)
369 ac_prev=x_includes ;;
370 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
371 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
372 x_includes="$ac_optarg" ;;
373
374 -x-libraries | --x-libraries | --x-librarie | --x-librari \
375 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
376 ac_prev=x_libraries ;;
377 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
378 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
379 x_libraries="$ac_optarg" ;;
380
381 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
382 ;;
383
384 *)
385 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
386 echo "configure: warning: $ac_option: invalid host type" 1>&2
387 fi
388 if test "x$nonopt" != xNONE; then
389 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
390 fi
391 nonopt="$ac_option"
392 ;;
393
394 esac
395 done
396
397 if test -n "$ac_prev"; then
398 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 fi
400
401 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
402
403 # File descriptor usage:
404 # 0 standard input
405 # 1 file creation
406 # 2 errors and warnings
407 # 3 some systems may open it to /dev/tty
408 # 4 used on the Kubota Titan
409 # 6 checking for... messages and results
410 # 5 compiler messages saved in config.log
411 if test "$silent" = yes; then
412 exec 6>/dev/null
413 else
414 exec 6>&1
415 fi
416 exec 5>./config.log
417
418 echo "\
419 This file contains any messages produced by compilers while
420 running configure, to aid debugging if configure makes a mistake.
421 " 1>&5
422
423 # Strip out --no-create and --no-recursion so they do not pile up.
424 # Also quote any args containing shell metacharacters.
425 ac_configure_args=
426 for ac_arg
427 do
428 case "$ac_arg" in
429 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
430 | --no-cr | --no-c) ;;
431 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
432 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
433 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
434 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
435 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
436 esac
437 done
438
439 # NLS nuisances.
440 # Only set these to C if already set. These must not be set unconditionally
441 # because not all systems understand e.g. LANG=C (notably SCO).
442 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
443 # Non-C LC_CTYPE values break the ctype check.
444 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
445 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
446 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
447 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
448
449 # confdefs.h avoids OS command line length limits that DEFS can exceed.
450 rm -rf conftest* confdefs.h
451 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
452 echo > confdefs.h
453
454 # A filename unique to this package, relative to the directory that
455 # configure is in, which we can look for to find out if srcdir is correct.
456 ac_unique_file=src/adns.h
457
458 # Find the source files, if location was not specified.
459 if test -z "$srcdir"; then
460 ac_srcdir_defaulted=yes
461 # Try the directory containing this script, then its parent.
462 ac_prog=$0
463 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
464 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
465 srcdir=$ac_confdir
466 if test ! -r $srcdir/$ac_unique_file; then
467 srcdir=..
468 fi
469 else
470 ac_srcdir_defaulted=no
471 fi
472 if test ! -r $srcdir/$ac_unique_file; then
473 if test "$ac_srcdir_defaulted" = yes; then
474 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
475 else
476 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 fi
478 fi
479 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
480
481 # Prefer explicitly selected file to automatically selected ones.
482 if test -z "$CONFIG_SITE"; then
483 if test "x$prefix" != xNONE; then
484 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
485 else
486 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 fi
488 fi
489 for ac_site_file in $CONFIG_SITE; do
490 if test -r "$ac_site_file"; then
491 echo "loading site script $ac_site_file"
492 . "$ac_site_file"
493 fi
494 done
495
496 if test -r "$cache_file"; then
497 echo "loading cache $cache_file"
498 . $cache_file
499 else
500 echo "creating cache $cache_file"
501 > $cache_file
502 fi
503
504 ac_ext=c
505 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
506 ac_cpp='$CPP $CPPFLAGS'
507 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
508 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
509 cross_compiling=$ac_cv_prog_cc_cross
510
511 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515 ' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519 else
520 ac_n= ac_c='\c' ac_t=
521 fi
522
523
524
525
526 echo $ac_n "checking whether you requested dynamic linking""... $ac_c" 1>&6
527 echo "configure:528: checking whether you requested dynamic linking" >&5
528
529 # Check whether --enable-dynamic or --disable-dynamic was given.
530 if test "${enable_dynamic+set}" = set; then
531 enableval="$enable_dynamic"
532 case "$enableval" in
533 elf|yes)
534 ENABLE_DYNAMIC=elf
535 echo "$ac_t""yes (ELF)" 1>&6
536 ;;
537 no) ENABLE_DYNAMIC=no
538 echo "$ac_t""no" 1>&6
539 ;;
540 *) { echo "configure: error: "invalid value $enableval for --enable-dynamic, try yes or elf"" 1>&2; exit 1; }
541 ;;
542 esac
543
544 else
545
546 ENABLE_DYNAMIC=yes
547 echo "$ac_t""yes, by default" 1>&6
548
549 fi
550
551
552 # Extract the first word of "gcc", so it can be a program name with args.
553 set dummy gcc; ac_word=$2
554 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
555 echo "configure:556: checking for $ac_word" >&5
556 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
557 echo $ac_n "(cached) $ac_c" 1>&6
558 else
559 if test -n "$CC"; then
560 ac_cv_prog_CC="$CC" # Let the user override the test.
561 else
562 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
563 for ac_dir in $PATH; do
564 test -z "$ac_dir" && ac_dir=.
565 if test -f $ac_dir/$ac_word; then
566 ac_cv_prog_CC="gcc"
567 break
568 fi
569 done
570 IFS="$ac_save_ifs"
571 fi
572 fi
573 CC="$ac_cv_prog_CC"
574 if test -n "$CC"; then
575 echo "$ac_t""$CC" 1>&6
576 else
577 echo "$ac_t""no" 1>&6
578 fi
579
580 if test -z "$CC"; then
581 # Extract the first word of "cc", so it can be a program name with args.
582 set dummy cc; ac_word=$2
583 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
584 echo "configure:585: checking for $ac_word" >&5
585 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
586 echo $ac_n "(cached) $ac_c" 1>&6
587 else
588 if test -n "$CC"; then
589 ac_cv_prog_CC="$CC" # Let the user override the test.
590 else
591 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
592 ac_prog_rejected=no
593 for ac_dir in $PATH; do
594 test -z "$ac_dir" && ac_dir=.
595 if test -f $ac_dir/$ac_word; then
596 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
597 ac_prog_rejected=yes
598 continue
599 fi
600 ac_cv_prog_CC="cc"
601 break
602 fi
603 done
604 IFS="$ac_save_ifs"
605 if test $ac_prog_rejected = yes; then
606 # We found a bogon in the path, so make sure we never use it.
607 set dummy $ac_cv_prog_CC
608 shift
609 if test $# -gt 0; then
610 # We chose a different compiler from the bogus one.
611 # However, it has the same basename, so the bogon will be chosen
612 # first if we set CC to just the basename; use the full file name.
613 shift
614 set dummy "$ac_dir/$ac_word" "$@"
615 shift
616 ac_cv_prog_CC="$@"
617 fi
618 fi
619 fi
620 fi
621 CC="$ac_cv_prog_CC"
622 if test -n "$CC"; then
623 echo "$ac_t""$CC" 1>&6
624 else
625 echo "$ac_t""no" 1>&6
626 fi
627
628 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
629 fi
630
631 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
632 echo "configure:633: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
633
634 ac_ext=c
635 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
636 ac_cpp='$CPP $CPPFLAGS'
637 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
638 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
639 cross_compiling=$ac_cv_prog_cc_cross
640
641 cat > conftest.$ac_ext <<EOF
642 #line 643 "configure"
643 #include "confdefs.h"
644 main(){return(0);}
645 EOF
646 if { (eval echo configure:647: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
647 ac_cv_prog_cc_works=yes
648 # If we can't run a trivial program, we are probably using a cross compiler.
649 if (./conftest; exit) 2>/dev/null; then
650 ac_cv_prog_cc_cross=no
651 else
652 ac_cv_prog_cc_cross=yes
653 fi
654 else
655 echo "configure: failed program was:" >&5
656 cat conftest.$ac_ext >&5
657 ac_cv_prog_cc_works=no
658 fi
659 rm -fr conftest*
660
661 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
662 if test $ac_cv_prog_cc_works = no; then
663 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
664 fi
665 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
666 echo "configure:667: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
667 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
668 cross_compiling=$ac_cv_prog_cc_cross
669
670 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
671 echo "configure:672: checking whether we are using GNU C" >&5
672 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
673 echo $ac_n "(cached) $ac_c" 1>&6
674 else
675 cat > conftest.c <<EOF
676 #ifdef __GNUC__
677 yes;
678 #endif
679 EOF
680 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:681: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
681 ac_cv_prog_gcc=yes
682 else
683 ac_cv_prog_gcc=no
684 fi
685 fi
686
687 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
688
689 if test $ac_cv_prog_gcc = yes; then
690 GCC=yes
691 ac_test_CFLAGS="${CFLAGS+set}"
692 ac_save_CFLAGS="$CFLAGS"
693 CFLAGS=
694 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
695 echo "configure:696: checking whether ${CC-cc} accepts -g" >&5
696 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
697 echo $ac_n "(cached) $ac_c" 1>&6
698 else
699 echo 'void f(){}' > conftest.c
700 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
701 ac_cv_prog_cc_g=yes
702 else
703 ac_cv_prog_cc_g=no
704 fi
705 rm -f conftest*
706
707 fi
708
709 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
710 if test "$ac_test_CFLAGS" = set; then
711 CFLAGS="$ac_save_CFLAGS"
712 elif test $ac_cv_prog_cc_g = yes; then
713 CFLAGS="-g -O2"
714 else
715 CFLAGS="-O2"
716 fi
717 else
718 GCC=
719 test "${CFLAGS+set}" = set || CFLAGS="-g"
720 fi
721
722 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
723 echo "configure:724: checking how to run the C preprocessor" >&5
724 # On Suns, sometimes $CPP names a directory.
725 if test -n "$CPP" && test -d "$CPP"; then
726 CPP=
727 fi
728 if test -z "$CPP"; then
729 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
730 echo $ac_n "(cached) $ac_c" 1>&6
731 else
732 # This must be in double quotes, not single quotes, because CPP may get
733 # substituted into the Makefile and "${CC-cc}" will confuse make.
734 CPP="${CC-cc} -E"
735 # On the NeXT, cc -E runs the code through the compiler's parser,
736 # not just through cpp.
737 cat > conftest.$ac_ext <<EOF
738 #line 739 "configure"
739 #include "confdefs.h"
740 #include <assert.h>
741 Syntax Error
742 EOF
743 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
744 { (eval echo configure:745: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
745 ac_err=`grep -v '^ *+' conftest.out`
746 if test -z "$ac_err"; then
747 :
748 else
749 echo "$ac_err" >&5
750 echo "configure: failed program was:" >&5
751 cat conftest.$ac_ext >&5
752 rm -rf conftest*
753 CPP="${CC-cc} -E -traditional-cpp"
754 cat > conftest.$ac_ext <<EOF
755 #line 756 "configure"
756 #include "confdefs.h"
757 #include <assert.h>
758 Syntax Error
759 EOF
760 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
761 { (eval echo configure:762: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
762 ac_err=`grep -v '^ *+' conftest.out`
763 if test -z "$ac_err"; then
764 :
765 else
766 echo "$ac_err" >&5
767 echo "configure: failed program was:" >&5
768 cat conftest.$ac_ext >&5
769 rm -rf conftest*
770 CPP=/lib/cpp
771 fi
772 rm -f conftest*
773 fi
774 rm -f conftest*
775 ac_cv_prog_CPP="$CPP"
776 fi
777 CPP="$ac_cv_prog_CPP"
778 else
779 ac_cv_prog_CPP="$CPP"
780 fi
781 echo "$ac_t""$CPP" 1>&6
782
783 # Extract the first word of "ranlib", so it can be a program name with args.
784 set dummy ranlib; ac_word=$2
785 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
786 echo "configure:787: checking for $ac_word" >&5
787 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
788 echo $ac_n "(cached) $ac_c" 1>&6
789 else
790 if test -n "$RANLIB"; then
791 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
792 else
793 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
794 for ac_dir in $PATH; do
795 test -z "$ac_dir" && ac_dir=.
796 if test -f $ac_dir/$ac_word; then
797 ac_cv_prog_RANLIB="ranlib"
798 break
799 fi
800 done
801 IFS="$ac_save_ifs"
802 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
803 fi
804 fi
805 RANLIB="$ac_cv_prog_RANLIB"
806 if test -n "$RANLIB"; then
807 echo "$ac_t""$RANLIB" 1>&6
808 else
809 echo "$ac_t""no" 1>&6
810 fi
811
812
813 for ac_func in poll
814 do
815 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
816 echo "configure:817: checking for $ac_func" >&5
817 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
818 echo $ac_n "(cached) $ac_c" 1>&6
819 else
820 cat > conftest.$ac_ext <<EOF
821 #line 822 "configure"
822 #include "confdefs.h"
823 /* System header to define __stub macros and hopefully few prototypes,
824 which can conflict with char $ac_func(); below. */
825 #include <assert.h>
826 /* Override any gcc2 internal prototype to avoid an error. */
827 /* We use char because int might match the return type of a gcc2
828 builtin and then its argument prototype would still apply. */
829 char $ac_func();
830
831 int main() {
832
833 /* The GNU C library defines this for functions which it implements
834 to always fail with ENOSYS. Some functions are actually named
835 something starting with __ and the normal name is an alias. */
836 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
837 choke me
838 #else
839 $ac_func();
840 #endif
841
842 ; return 0; }
843 EOF
844 if { (eval echo configure:845: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
845 rm -rf conftest*
846 eval "ac_cv_func_$ac_func=yes"
847 else
848 echo "configure: failed program was:" >&5
849 cat conftest.$ac_ext >&5
850 rm -rf conftest*
851 eval "ac_cv_func_$ac_func=no"
852 fi
853 rm -f conftest*
854 fi
855
856 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
857 echo "$ac_t""yes" 1>&6
858 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
859 cat >> confdefs.h <<EOF
860 #define $ac_tr_func 1
861 EOF
862
863 else
864 echo "$ac_t""no" 1>&6
865 fi
866 done
867
868
869 echo $ac_n "checking for socket""... $ac_c" 1>&6
870 echo "configure:871: checking for socket" >&5
871 if eval "test \"`echo '$''{'ac_cv_func_socket'+set}'`\" = set"; then
872 echo $ac_n "(cached) $ac_c" 1>&6
873 else
874 cat > conftest.$ac_ext <<EOF
875 #line 876 "configure"
876 #include "confdefs.h"
877 /* System header to define __stub macros and hopefully few prototypes,
878 which can conflict with char socket(); below. */
879 #include <assert.h>
880 /* Override any gcc2 internal prototype to avoid an error. */
881 /* We use char because int might match the return type of a gcc2
882 builtin and then its argument prototype would still apply. */
883 char socket();
884
885 int main() {
886
887 /* The GNU C library defines this for functions which it implements
888 to always fail with ENOSYS. Some functions are actually named
889 something starting with __ and the normal name is an alias. */
890 #if defined (__stub_socket) || defined (__stub___socket)
891 choke me
892 #else
893 socket();
894 #endif
895
896 ; return 0; }
897 EOF
898 if { (eval echo configure:899: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
899 rm -rf conftest*
900 eval "ac_cv_func_socket=yes"
901 else
902 echo "configure: failed program was:" >&5
903 cat conftest.$ac_ext >&5
904 rm -rf conftest*
905 eval "ac_cv_func_socket=no"
906 fi
907 rm -f conftest*
908 fi
909
910 if eval "test \"`echo '$ac_cv_func_'socket`\" = yes"; then
911 echo "$ac_t""yes" 1>&6
912 :
913 else
914 echo "$ac_t""no" 1>&6
915
916 echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
917 echo "configure:918: checking for socket in -lsocket" >&5
918 ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
919 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
920 echo $ac_n "(cached) $ac_c" 1>&6
921 else
922 ac_save_LIBS="$LIBS"
923 LIBS="-lsocket $LIBS"
924 cat > conftest.$ac_ext <<EOF
925 #line 926 "configure"
926 #include "confdefs.h"
927 /* Override any gcc2 internal prototype to avoid an error. */
928 /* We use char because int might match the return type of a gcc2
929 builtin and then its argument prototype would still apply. */
930 char socket();
931
932 int main() {
933 socket()
934 ; return 0; }
935 EOF
936 if { (eval echo configure:937: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
937 rm -rf conftest*
938 eval "ac_cv_lib_$ac_lib_var=yes"
939 else
940 echo "configure: failed program was:" >&5
941 cat conftest.$ac_ext >&5
942 rm -rf conftest*
943 eval "ac_cv_lib_$ac_lib_var=no"
944 fi
945 rm -f conftest*
946 LIBS="$ac_save_LIBS"
947
948 fi
949 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
950 echo "$ac_t""yes" 1>&6
951 ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
952 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
953 cat >> confdefs.h <<EOF
954 #define $ac_tr_lib 1
955 EOF
956
957 LIBS="-lsocket $LIBS"
958
959 else
960 echo "$ac_t""no" 1>&6
961
962 { echo "configure: error: cannot find library function socket" 1>&2; exit 1; }
963
964 fi
965
966
967 fi
968
969
970
971 echo $ac_n "checking for inet_ntoa""... $ac_c" 1>&6
972 echo "configure:973: checking for inet_ntoa" >&5
973 if eval "test \"`echo '$''{'ac_cv_func_inet_ntoa'+set}'`\" = set"; then
974 echo $ac_n "(cached) $ac_c" 1>&6
975 else
976 cat > conftest.$ac_ext <<EOF
977 #line 978 "configure"
978 #include "confdefs.h"
979 /* System header to define __stub macros and hopefully few prototypes,
980 which can conflict with char inet_ntoa(); below. */
981 #include <assert.h>
982 /* Override any gcc2 internal prototype to avoid an error. */
983 /* We use char because int might match the return type of a gcc2
984 builtin and then its argument prototype would still apply. */
985 char inet_ntoa();
986
987 int main() {
988
989 /* The GNU C library defines this for functions which it implements
990 to always fail with ENOSYS. Some functions are actually named
991 something starting with __ and the normal name is an alias. */
992 #if defined (__stub_inet_ntoa) || defined (__stub___inet_ntoa)
993 choke me
994 #else
995 inet_ntoa();
996 #endif
997
998 ; return 0; }
999 EOF
1000 if { (eval echo configure:1001: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1001 rm -rf conftest*
1002 eval "ac_cv_func_inet_ntoa=yes"
1003 else
1004 echo "configure: failed program was:" >&5
1005 cat conftest.$ac_ext >&5
1006 rm -rf conftest*
1007 eval "ac_cv_func_inet_ntoa=no"
1008 fi
1009 rm -f conftest*
1010 fi
1011
1012 if eval "test \"`echo '$ac_cv_func_'inet_ntoa`\" = yes"; then
1013 echo "$ac_t""yes" 1>&6
1014 :
1015 else
1016 echo "$ac_t""no" 1>&6
1017
1018 echo $ac_n "checking for inet_ntoa in -lnsl""... $ac_c" 1>&6
1019 echo "configure:1020: checking for inet_ntoa in -lnsl" >&5
1020 ac_lib_var=`echo nsl'_'inet_ntoa | sed 'y%./+-%__p_%'`
1021 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1022 echo $ac_n "(cached) $ac_c" 1>&6
1023 else
1024 ac_save_LIBS="$LIBS"
1025 LIBS="-lnsl $LIBS"
1026 cat > conftest.$ac_ext <<EOF
1027 #line 1028 "configure"
1028 #include "confdefs.h"
1029 /* Override any gcc2 internal prototype to avoid an error. */
1030 /* We use char because int might match the return type of a gcc2
1031 builtin and then its argument prototype would still apply. */
1032 char inet_ntoa();
1033
1034 int main() {
1035 inet_ntoa()
1036 ; return 0; }
1037 EOF
1038 if { (eval echo configure:1039: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1039 rm -rf conftest*
1040 eval "ac_cv_lib_$ac_lib_var=yes"
1041 else
1042 echo "configure: failed program was:" >&5
1043 cat conftest.$ac_ext >&5
1044 rm -rf conftest*
1045 eval "ac_cv_lib_$ac_lib_var=no"
1046 fi
1047 rm -f conftest*
1048 LIBS="$ac_save_LIBS"
1049
1050 fi
1051 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1052 echo "$ac_t""yes" 1>&6
1053 ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1054 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1055 cat >> confdefs.h <<EOF
1056 #define $ac_tr_lib 1
1057 EOF
1058
1059 LIBS="-lnsl $LIBS"
1060
1061 else
1062 echo "$ac_t""no" 1>&6
1063
1064 { echo "configure: error: cannot find library function inet_ntoa" 1>&2; exit 1; }
1065
1066 fi
1067
1068
1069 fi
1070
1071
1072
1073 PROGS_IF_TSEARCH=adnsresfilter
1074
1075 echo $ac_n "checking for tsearch""... $ac_c" 1>&6
1076 echo "configure:1077: checking for tsearch" >&5
1077 if eval "test \"`echo '$''{'ac_cv_func_tsearch'+set}'`\" = set"; then
1078 echo $ac_n "(cached) $ac_c" 1>&6
1079 else
1080 cat > conftest.$ac_ext <<EOF
1081 #line 1082 "configure"
1082 #include "confdefs.h"
1083 /* System header to define __stub macros and hopefully few prototypes,
1084 which can conflict with char tsearch(); below. */
1085 #include <assert.h>
1086 /* Override any gcc2 internal prototype to avoid an error. */
1087 /* We use char because int might match the return type of a gcc2
1088 builtin and then its argument prototype would still apply. */
1089 char tsearch();
1090
1091 int main() {
1092
1093 /* The GNU C library defines this for functions which it implements
1094 to always fail with ENOSYS. Some functions are actually named
1095 something starting with __ and the normal name is an alias. */
1096 #if defined (__stub_tsearch) || defined (__stub___tsearch)
1097 choke me
1098 #else
1099 tsearch();
1100 #endif
1101
1102 ; return 0; }
1103 EOF
1104 if { (eval echo configure:1105: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1105 rm -rf conftest*
1106 eval "ac_cv_func_tsearch=yes"
1107 else
1108 echo "configure: failed program was:" >&5
1109 cat conftest.$ac_ext >&5
1110 rm -rf conftest*
1111 eval "ac_cv_func_tsearch=no"
1112 fi
1113 rm -f conftest*
1114 fi
1115
1116 if eval "test \"`echo '$ac_cv_func_'tsearch`\" = yes"; then
1117 echo "$ac_t""yes" 1>&6
1118
1119 PROGS_HAVE_TSEARCH=$PROGS_IF_TSEARCH
1120
1121 else
1122 echo "$ac_t""no" 1>&6
1123
1124 PROGS_HAVE_TSEARCH='';
1125 echo "configure: warning: tsearch missing - not building client program(s) $PROGS_IF_TSEARCH" 1>&2
1126
1127 fi
1128
1129
1130 echo $ac_n "checking for INADDR_LOOPBACK""... $ac_c" 1>&6
1131 echo "configure:1132: checking for INADDR_LOOPBACK" >&5
1132 if eval "test \"`echo '$''{'adns_cv_decl_inaddrloopback'+set}'`\" = set"; then
1133 echo $ac_n "(cached) $ac_c" 1>&6
1134 else
1135
1136 cat > conftest.$ac_ext <<EOF
1137 #line 1138 "configure"
1138 #include "confdefs.h"
1139
1140 #include <sys/socket.h>
1141 #include <netinet/in.h>
1142 #include <arpa/inet.h>
1143
1144 int main() {
1145
1146 INADDR_LOOPBACK;
1147
1148 ; return 0; }
1149 EOF
1150 if { (eval echo configure:1151: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1151 rm -rf conftest*
1152 adns_cv_decl_inaddrloopback=yes
1153 else
1154 echo "configure: failed program was:" >&5
1155 cat conftest.$ac_ext >&5
1156 rm -rf conftest*
1157 adns_cv_decl_inaddrloopback=no
1158 fi
1159 rm -f conftest*
1160 fi
1161
1162 if test "$adns_cv_decl_inaddrloopback" = yes; then
1163 echo "$ac_t""found" 1>&6
1164 else
1165 echo "$ac_t""not in standard headers, urgh..." 1>&6
1166 ac_safe=`echo "rpc/types.h" | sed 'y%./+-%__p_%'`
1167 echo $ac_n "checking for rpc/types.h""... $ac_c" 1>&6
1168 echo "configure:1169: checking for rpc/types.h" >&5
1169 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1170 echo $ac_n "(cached) $ac_c" 1>&6
1171 else
1172 cat > conftest.$ac_ext <<EOF
1173 #line 1174 "configure"
1174 #include "confdefs.h"
1175 #include <rpc/types.h>
1176 EOF
1177 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1178 { (eval echo configure:1179: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1179 ac_err=`grep -v '^ *+' conftest.out`
1180 if test -z "$ac_err"; then
1181 rm -rf conftest*
1182 eval "ac_cv_header_$ac_safe=yes"
1183 else
1184 echo "$ac_err" >&5
1185 echo "configure: failed program was:" >&5
1186 cat conftest.$ac_ext >&5
1187 rm -rf conftest*
1188 eval "ac_cv_header_$ac_safe=no"
1189 fi
1190 rm -f conftest*
1191 fi
1192 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1193 echo "$ac_t""yes" 1>&6
1194
1195 cat >> confdefs.h <<\EOF
1196 #define HAVEUSE_RPCTYPES_H 1
1197 EOF
1198
1199
1200 else
1201 echo "$ac_t""no" 1>&6
1202
1203 { echo "configure: error: cannot find INADDR_LOOPBACK or rpc/types.h" 1>&2; exit 1; }
1204
1205 fi
1206
1207 fi
1208
1209
1210 echo $ac_n "checking for inet_aton""... $ac_c" 1>&6
1211 echo "configure:1212: checking for inet_aton" >&5
1212 if eval "test \"`echo '$''{'ac_cv_func_inet_aton'+set}'`\" = set"; then
1213 echo $ac_n "(cached) $ac_c" 1>&6
1214 else
1215 cat > conftest.$ac_ext <<EOF
1216 #line 1217 "configure"
1217 #include "confdefs.h"
1218 /* System header to define __stub macros and hopefully few prototypes,
1219 which can conflict with char inet_aton(); below. */
1220 #include <assert.h>
1221 /* Override any gcc2 internal prototype to avoid an error. */
1222 /* We use char because int might match the return type of a gcc2
1223 builtin and then its argument prototype would still apply. */
1224 char inet_aton();
1225
1226 int main() {
1227
1228 /* The GNU C library defines this for functions which it implements
1229 to always fail with ENOSYS. Some functions are actually named
1230 something starting with __ and the normal name is an alias. */
1231 #if defined (__stub_inet_aton) || defined (__stub___inet_aton)
1232 choke me
1233 #else
1234 inet_aton();
1235 #endif
1236
1237 ; return 0; }
1238 EOF
1239 if { (eval echo configure:1240: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1240 rm -rf conftest*
1241 eval "ac_cv_func_inet_aton=yes"
1242 else
1243 echo "configure: failed program was:" >&5
1244 cat conftest.$ac_ext >&5
1245 rm -rf conftest*
1246 eval "ac_cv_func_inet_aton=no"
1247 fi
1248 rm -f conftest*
1249 fi
1250
1251 if eval "test \"`echo '$ac_cv_func_'inet_aton`\" = yes"; then
1252 echo "$ac_t""yes" 1>&6
1253 :
1254 else
1255 echo "$ac_t""no" 1>&6
1256
1257 echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
1258 echo "configure:1259: checking for inet_aton in -lresolv" >&5
1259 ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
1260 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1261 echo $ac_n "(cached) $ac_c" 1>&6
1262 else
1263 ac_save_LIBS="$LIBS"
1264 LIBS="-lresolv $LIBS"
1265 cat > conftest.$ac_ext <<EOF
1266 #line 1267 "configure"
1267 #include "confdefs.h"
1268 /* Override any gcc2 internal prototype to avoid an error. */
1269 /* We use char because int might match the return type of a gcc2
1270 builtin and then its argument prototype would still apply. */
1271 char inet_aton();
1272
1273 int main() {
1274 inet_aton()
1275 ; return 0; }
1276 EOF
1277 if { (eval echo configure:1278: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1278 rm -rf conftest*
1279 eval "ac_cv_lib_$ac_lib_var=yes"
1280 else
1281 echo "configure: failed program was:" >&5
1282 cat conftest.$ac_ext >&5
1283 rm -rf conftest*
1284 eval "ac_cv_lib_$ac_lib_var=no"
1285 fi
1286 rm -f conftest*
1287 LIBS="$ac_save_LIBS"
1288
1289 fi
1290 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1291 echo "$ac_t""yes" 1>&6
1292
1293 LIBS="-lresolv $LIBS";
1294 echo "configure: warning: inet_aton is in libresolv, urgh. Must use -lresolv." 1>&2
1295
1296 else
1297 echo "$ac_t""no" 1>&6
1298
1299 { echo "configure: error: cannot find library function inet_aton" 1>&2; exit 1; }
1300
1301 fi
1302
1303
1304 fi
1305
1306
1307
1308
1309
1310 echo $ac_n "checking __attribute__((,,))""... $ac_c" 1>&6
1311 echo "configure:1312: checking __attribute__((,,))" >&5
1312 if eval "test \"`echo '$''{'adns_cv_c_attribute_supported'+set}'`\" = set"; then
1313 echo $ac_n "(cached) $ac_c" 1>&6
1314 else
1315
1316 cat > conftest.$ac_ext <<EOF
1317 #line 1318 "configure"
1318 #include "confdefs.h"
1319
1320 int main() {
1321 extern int testfunction(int x) __attribute__((,,))
1322 ; return 0; }
1323 EOF
1324 if { (eval echo configure:1325: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1325 rm -rf conftest*
1326 adns_cv_c_attribute_supported=yes
1327 else
1328 echo "configure: failed program was:" >&5
1329 cat conftest.$ac_ext >&5
1330 rm -rf conftest*
1331 adns_cv_c_attribute_supported=no
1332 fi
1333 rm -f conftest*
1334
1335 fi
1336
1337 if test "x$adns_cv_c_attribute_supported" = xyes; then
1338 true
1339 echo "$ac_t""yes" 1>&6
1340 cat >> confdefs.h <<\EOF
1341 #define HAVE_GNUC25_ATTRIB 1
1342 EOF
1343
1344
1345 echo $ac_n "checking __attribute__((noreturn))""... $ac_c" 1>&6
1346 echo "configure:1347: checking __attribute__((noreturn))" >&5
1347 if eval "test \"`echo '$''{'adns_cv_c_attribute_noreturn'+set}'`\" = set"; then
1348 echo $ac_n "(cached) $ac_c" 1>&6
1349 else
1350
1351 cat > conftest.$ac_ext <<EOF
1352 #line 1353 "configure"
1353 #include "confdefs.h"
1354
1355 int main() {
1356 extern int testfunction(int x) __attribute__((noreturn))
1357 ; return 0; }
1358 EOF
1359 if { (eval echo configure:1360: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1360 rm -rf conftest*
1361 adns_cv_c_attribute_noreturn=yes
1362 else
1363 echo "configure: failed program was:" >&5
1364 cat conftest.$ac_ext >&5
1365 rm -rf conftest*
1366 adns_cv_c_attribute_noreturn=no
1367 fi
1368 rm -f conftest*
1369
1370 fi
1371
1372 if test "x$adns_cv_c_attribute_noreturn" = xyes; then
1373 true
1374 echo "$ac_t""yes" 1>&6
1375 cat >> confdefs.h <<\EOF
1376 #define HAVE_GNUC25_NORETURN 1
1377 EOF
1378
1379 else
1380 true
1381 echo "$ac_t""no" 1>&6
1382 fi
1383
1384
1385 echo $ac_n "checking __attribute__((const))""... $ac_c" 1>&6
1386 echo "configure:1387: checking __attribute__((const))" >&5
1387 if eval "test \"`echo '$''{'adns_cv_c_attribute_const'+set}'`\" = set"; then
1388 echo $ac_n "(cached) $ac_c" 1>&6
1389 else
1390
1391 cat > conftest.$ac_ext <<EOF
1392 #line 1393 "configure"
1393 #include "confdefs.h"
1394
1395 int main() {
1396 extern int testfunction(int x) __attribute__((const))
1397 ; return 0; }
1398 EOF
1399 if { (eval echo configure:1400: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1400 rm -rf conftest*
1401 adns_cv_c_attribute_const=yes
1402 else
1403 echo "configure: failed program was:" >&5
1404 cat conftest.$ac_ext >&5
1405 rm -rf conftest*
1406 adns_cv_c_attribute_const=no
1407 fi
1408 rm -f conftest*
1409
1410 fi
1411
1412 if test "x$adns_cv_c_attribute_const" = xyes; then
1413 true
1414 echo "$ac_t""yes" 1>&6
1415 cat >> confdefs.h <<\EOF
1416 #define HAVE_GNUC25_CONST 1
1417 EOF
1418
1419 else
1420 true
1421 echo "$ac_t""no" 1>&6
1422 fi
1423
1424
1425 echo $ac_n "checking __attribute__((format...))""... $ac_c" 1>&6
1426 echo "configure:1427: checking __attribute__((format...))" >&5
1427 if eval "test \"`echo '$''{'adns_cv_attribute_format'+set}'`\" = set"; then
1428 echo $ac_n "(cached) $ac_c" 1>&6
1429 else
1430
1431 cat > conftest.$ac_ext <<EOF
1432 #line 1433 "configure"
1433 #include "confdefs.h"
1434
1435 int main() {
1436 extern int testfunction(char *y, ...) __attribute__((format(printf,1,2)))
1437 ; return 0; }
1438 EOF
1439 if { (eval echo configure:1440: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1440 rm -rf conftest*
1441 adns_cv_attribute_format=yes
1442 else
1443 echo "configure: failed program was:" >&5
1444 cat conftest.$ac_ext >&5
1445 rm -rf conftest*
1446 adns_cv_attribute_format=no
1447 fi
1448 rm -f conftest*
1449
1450 fi
1451
1452 if test "x$adns_cv_attribute_format" = xyes; then
1453 true
1454 echo "$ac_t""yes" 1>&6
1455 cat >> confdefs.h <<\EOF
1456 #define HAVE_GNUC25_PRINTFFORMAT 1
1457 EOF
1458
1459 else
1460 true
1461 echo "$ac_t""no" 1>&6
1462 fi
1463
1464 else
1465 true
1466 echo "$ac_t""no" 1>&6
1467 fi
1468
1469
1470
1471
1472
1473 if test "${GCC-no}" = yes; then
1474 WARNS="-Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith"
1475 else
1476 WARNS=
1477 fi
1478
1479
1480
1481
1482
1483
1484
1485
1486
1487
1488 SHLIBFORLINK='libadns.so'
1489 SHLIBSONAME='$(SHLIBFORLINK).$(MAJOR)'
1490 SHLIBFILE='$(SHLIBSONAME).$(MINOR)'
1491
1492 SHLIBCC='$(CC) $(CFLAGS) -fpic'
1493 MKSHLIB_1='$(CC) $(LDFLAGS) -shared -Wl,-soname=$(SHLIBSONAME) -o'
1494 MKSHLIB_2=''
1495 MKSHLIB_3='-lc'
1496
1497 trap '' 1 2 15
1498 cat > confcache <<\EOF
1499 # This file is a shell script that caches the results of configure
1500 # tests run on this system so they can be shared between configure
1501 # scripts and configure runs. It is not useful on other systems.
1502 # If it contains results you don't want to keep, you may remove or edit it.
1503 #
1504 # By default, configure uses ./config.cache as the cache file,
1505 # creating it if it does not exist already. You can give configure
1506 # the --cache-file=FILE option to use a different cache file; that is
1507 # what configure does when it calls configure scripts in
1508 # subdirectories, so they share the cache.
1509 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1510 # config.status only pays attention to the cache file if you give it the
1511 # --recheck option to rerun configure.
1512 #
1513 EOF
1514 # The following way of writing the cache mishandles newlines in values,
1515 # but we know of no workaround that is simple, portable, and efficient.
1516 # So, don't put newlines in cache variables' values.
1517 # Ultrix sh set writes to stderr and can't be redirected directly,
1518 # and sets the high bit in the cache file unless we assign to the vars.
1519 (set) 2>&1 |
1520 case `(ac_space=' '; set) 2>&1` in
1521 *ac_space=\ *)
1522 # `set' does not quote correctly, so add quotes (double-quote substitution
1523 # turns \\\\ into \\, and sed turns \\ into \).
1524 sed -n \
1525 -e "s/'/'\\\\''/g" \
1526 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1527 ;;
1528 *)
1529 # `set' quotes correctly as required by POSIX, so do not add quotes.
1530 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1531 ;;
1532 esac >> confcache
1533 if cmp -s $cache_file confcache; then
1534 :
1535 else
1536 if test -w $cache_file; then
1537 echo "updating cache $cache_file"
1538 cat confcache > $cache_file
1539 else
1540 echo "not updating unwritable cache $cache_file"
1541 fi
1542 fi
1543 rm -f confcache
1544
1545 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1546
1547 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1548 # Let make expand exec_prefix.
1549 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1550
1551 # Any assignment to VPATH causes Sun make to only execute
1552 # the first set of double-colon rules, so remove it if not needed.
1553 # If there is a colon in the path, we need to keep it.
1554 if test "x$srcdir" = x.; then
1555 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1556 fi
1557
1558 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1559
1560 DEFS=-DHAVE_CONFIG_H
1561
1562 # Without the "./", some shells look in PATH for config.status.
1563 : ${CONFIG_STATUS=./config.status}
1564
1565 echo creating $CONFIG_STATUS
1566 rm -f $CONFIG_STATUS
1567 cat > $CONFIG_STATUS <<EOF
1568 #! /bin/sh
1569 # Generated automatically by configure.
1570 # Run this file to recreate the current configuration.
1571 # This directory was configured as follows,
1572 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1573 #
1574 # $0 $ac_configure_args
1575 #
1576 # Compiler output produced by configure, useful for debugging
1577 # configure, is in ./config.log if it exists.
1578
1579 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1580 for ac_option
1581 do
1582 case "\$ac_option" in
1583 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1584 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1585 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1586 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1587 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1588 exit 0 ;;
1589 -help | --help | --hel | --he | --h)
1590 echo "\$ac_cs_usage"; exit 0 ;;
1591 *) echo "\$ac_cs_usage"; exit 1 ;;
1592 esac
1593 done
1594
1595 ac_given_srcdir=$srcdir
1596
1597 trap 'rm -fr `echo "settings.make Makefile
1598 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1599 src/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1600 EOF
1601 cat >> $CONFIG_STATUS <<EOF
1602
1603 # Protect against being on the right side of a sed subst in config.status.
1604 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1605 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1606 $ac_vpsub
1607 $extrasub
1608 s%@CFLAGS@%$CFLAGS%g
1609 s%@CPPFLAGS@%$CPPFLAGS%g
1610 s%@CXXFLAGS@%$CXXFLAGS%g
1611 s%@DEFS@%$DEFS%g
1612 s%@LDFLAGS@%$LDFLAGS%g
1613 s%@LIBS@%$LIBS%g
1614 s%@exec_prefix@%$exec_prefix%g
1615 s%@prefix@%$prefix%g
1616 s%@program_transform_name@%$program_transform_name%g
1617 s%@bindir@%$bindir%g
1618 s%@sbindir@%$sbindir%g
1619 s%@libexecdir@%$libexecdir%g
1620 s%@datadir@%$datadir%g
1621 s%@sysconfdir@%$sysconfdir%g
1622 s%@sharedstatedir@%$sharedstatedir%g
1623 s%@localstatedir@%$localstatedir%g
1624 s%@libdir@%$libdir%g
1625 s%@includedir@%$includedir%g
1626 s%@oldincludedir@%$oldincludedir%g
1627 s%@infodir@%$infodir%g
1628 s%@mandir@%$mandir%g
1629 s%@ENABLE_DYNAMIC@%$ENABLE_DYNAMIC%g
1630 s%@CC@%$CC%g
1631 s%@CPP@%$CPP%g
1632 s%@RANLIB@%$RANLIB%g
1633 s%@PROGS_HAVE_TSEARCH@%$PROGS_HAVE_TSEARCH%g
1634 s%@WARNS@%$WARNS%g
1635 s%@SHLIBCC@%$SHLIBCC%g
1636 s%@MKSHLIB_1@%$MKSHLIB_1%g
1637 s%@MKSHLIB_2@%$MKSHLIB_2%g
1638 s%@MKSHLIB_3@%$MKSHLIB_3%g
1639 s%@SHLIBFORLINK@%$SHLIBFORLINK%g
1640 s%@SHLIBFILE@%$SHLIBFILE%g
1641 s%@SHLIBSONAME@%$SHLIBSONAME%g
1642
1643 CEOF
1644 EOF
1645
1646 cat >> $CONFIG_STATUS <<\EOF
1647
1648 # Split the substitutions into bite-sized pieces for seds with
1649 # small command number limits, like on Digital OSF/1 and HP-UX.
1650 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1651 ac_file=1 # Number of current file.
1652 ac_beg=1 # First line for current file.
1653 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1654 ac_more_lines=:
1655 ac_sed_cmds=""
1656 while $ac_more_lines; do
1657 if test $ac_beg -gt 1; then
1658 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1659 else
1660 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1661 fi
1662 if test ! -s conftest.s$ac_file; then
1663 ac_more_lines=false
1664 rm -f conftest.s$ac_file
1665 else
1666 if test -z "$ac_sed_cmds"; then
1667 ac_sed_cmds="sed -f conftest.s$ac_file"
1668 else
1669 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1670 fi
1671 ac_file=`expr $ac_file + 1`
1672 ac_beg=$ac_end
1673 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1674 fi
1675 done
1676 if test -z "$ac_sed_cmds"; then
1677 ac_sed_cmds=cat
1678 fi
1679 EOF
1680
1681 cat >> $CONFIG_STATUS <<EOF
1682
1683 CONFIG_FILES=\${CONFIG_FILES-"settings.make Makefile
1684 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1685 "}
1686 EOF
1687 cat >> $CONFIG_STATUS <<\EOF
1688 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1689 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1690 case "$ac_file" in
1691 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1692 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1693 *) ac_file_in="${ac_file}.in" ;;
1694 esac
1695
1696 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1697
1698 # Remove last slash and all that follows it. Not all systems have dirname.
1699 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1700 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1701 # The file is in a subdirectory.
1702 test ! -d "$ac_dir" && mkdir "$ac_dir"
1703 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1704 # A "../" for each directory in $ac_dir_suffix.
1705 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1706 else
1707 ac_dir_suffix= ac_dots=
1708 fi
1709
1710 case "$ac_given_srcdir" in
1711 .) srcdir=.
1712 if test -z "$ac_dots"; then top_srcdir=.
1713 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1714 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1715 *) # Relative path.
1716 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1717 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1718 esac
1719
1720
1721 echo creating "$ac_file"
1722 rm -f "$ac_file"
1723 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1724 case "$ac_file" in
1725 *Makefile*) ac_comsub="1i\\
1726 # $configure_input" ;;
1727 *) ac_comsub= ;;
1728 esac
1729
1730 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1731 sed -e "$ac_comsub
1732 s%@configure_input@%$configure_input%g
1733 s%@srcdir@%$srcdir%g
1734 s%@top_srcdir@%$top_srcdir%g
1735 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1736 fi; done
1737 rm -f conftest.s*
1738
1739 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1740 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1741 #
1742 # ac_d sets the value in "#define NAME VALUE" lines.
1743 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1744 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1745 ac_dC='\3'
1746 ac_dD='%g'
1747 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1748 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1749 ac_uB='\([ ]\)%\1#\2define\3'
1750 ac_uC=' '
1751 ac_uD='\4%g'
1752 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1753 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1754 ac_eB='$%\1#\2define\3'
1755 ac_eC=' '
1756 ac_eD='%g'
1757
1758 if test "${CONFIG_HEADERS+set}" != set; then
1759 EOF
1760 cat >> $CONFIG_STATUS <<EOF
1761 CONFIG_HEADERS="src/config.h"
1762 EOF
1763 cat >> $CONFIG_STATUS <<\EOF
1764 fi
1765 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1766 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1767 case "$ac_file" in
1768 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1769 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1770 *) ac_file_in="${ac_file}.in" ;;
1771 esac
1772
1773 echo creating $ac_file
1774
1775 rm -f conftest.frag conftest.in conftest.out
1776 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1777 cat $ac_file_inputs > conftest.in
1778
1779 EOF
1780
1781 # Transform confdefs.h into a sed script conftest.vals that substitutes
1782 # the proper values into config.h.in to produce config.h. And first:
1783 # Protect against being on the right side of a sed subst in config.status.
1784 # Protect against being in an unquoted here document in config.status.
1785 rm -f conftest.vals
1786 cat > conftest.hdr <<\EOF
1787 s/[\\&%]/\\&/g
1788 s%[\\$`]%\\&%g
1789 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1790 s%ac_d%ac_u%gp
1791 s%ac_u%ac_e%gp
1792 EOF
1793 sed -n -f conftest.hdr confdefs.h > conftest.vals
1794 rm -f conftest.hdr
1795
1796 # This sed command replaces #undef with comments. This is necessary, for
1797 # example, in the case of _POSIX_SOURCE, which is predefined and required
1798 # on some systems where configure will not decide to define it.
1799 cat >> conftest.vals <<\EOF
1800 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1801 EOF
1802
1803 # Break up conftest.vals because some shells have a limit on
1804 # the size of here documents, and old seds have small limits too.
1805
1806 rm -f conftest.tail
1807 while :
1808 do
1809 ac_lines=`grep -c . conftest.vals`
1810 # grep -c gives empty output for an empty file on some AIX systems.
1811 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1812 # Write a limited-size here document to conftest.frag.
1813 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1814 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1815 echo 'CEOF
1816 sed -f conftest.frag conftest.in > conftest.out
1817 rm -f conftest.in
1818 mv conftest.out conftest.in
1819 ' >> $CONFIG_STATUS
1820 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1821 rm -f conftest.vals
1822 mv conftest.tail conftest.vals
1823 done
1824 rm -f conftest.vals
1825
1826 cat >> $CONFIG_STATUS <<\EOF
1827 rm -f conftest.frag conftest.h
1828 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1829 cat conftest.in >> conftest.h
1830 rm -f conftest.in
1831 if cmp -s $ac_file conftest.h 2>/dev/null; then
1832 echo "$ac_file is unchanged"
1833 rm -f conftest.h
1834 else
1835 # Remove last slash and all that follows it. Not all systems have dirname.
1836 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1837 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1838 # The file is in a subdirectory.
1839 test ! -d "$ac_dir" && mkdir "$ac_dir"
1840 fi
1841 rm -f $ac_file
1842 mv conftest.h $ac_file
1843 fi
1844 fi; done
1845
1846 EOF
1847 cat >> $CONFIG_STATUS <<EOF
1848
1849 EOF
1850 cat >> $CONFIG_STATUS <<\EOF
1851
1852 exit 0
1853 EOF
1854 chmod +x $CONFIG_STATUS
1855 rm -fr confdefs* $ac_clean_files
1856 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1857